org.apache.olingo.odata2.api.edm.provider

## Class DataServices

- java.lang.Object
- - org.apache.olingo.odata2.api.edm.provider.DataServices

-     public class DataServices
      extends Object

  Objects of this class represent the data service. They contain all schemas of the EDM as well as the dataServiceVersion

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataServices()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<AnnotationElement>` | `getAnnotationElements()`
    `String` | `getCustomEdmxVersion()`
    `String` | `getDataServiceVersion()`
    `List<Schema>` | `getSchemas()`
    `DataServices` | `setAnnotationElements(List<AnnotationElement> annotationElements)` Sets the collection of `AnnotationElement` for this `DataServices`
    `DataServices` | `setCustomEdmxVersion(String customEdmxVersion)` Sets a custom edmx version which is used in the metadata document
    `DataServices` | `setDataServiceVersion(String dataServiceVersion)` Sets the data service version for this `DataServices`
    `DataServices` | `setSchemas(List<Schema> schemas)` Sets the schemas for this `DataServices`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DataServices

          public DataServices()

  - ### Method Detail

    - #### setSchemas

          public DataServices setSchemas(List<Schema> schemas)

      Sets the schemas for this `DataServices`
      Parameters:
        `schemas` -
      Returns:
        `DataServices` for method chaining

    - #### setDataServiceVersion

          public DataServices setDataServiceVersion(String dataServiceVersion)

      Sets the data service version for this `DataServices`
      Parameters:
        `dataServiceVersion` -
      Returns:
        `DataServices` for method chaining

    - #### setAnnotationElements

          public DataServices setAnnotationElements(List<AnnotationElement> annotationElements)

      Sets the collection of `AnnotationElement` for this `DataServices`
      Parameters:
        `annotationElements` -
      Returns:
        `ComplexType` for method chaining

    - #### setCustomEdmxVersion

          public DataServices setCustomEdmxVersion(String customEdmxVersion)

      Sets a custom edmx version which is used in the metadata document
      Parameters:
        `customEdmxVersion` -
      Returns:
        `ComplexType` for method chaining

    - #### getAnnotationElements

          public List<AnnotationElement> getAnnotationElements()

      Returns:
        collection of `AnnotationElement` annotation elements

    - #### getSchemas

          public List<Schema> getSchemas()

      Returns:
        List<`Schema`>

    - #### getDataServiceVersion

          public String getDataServiceVersion()

      Returns:
        String data service version

    - #### getCustomEdmxVersion

          public String getCustomEdmxVersion()

      Returns:
        String custom edmx version

Copyright © 2013-2022 The Apache Software Foundation. All Rights Reserved.